<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN"
	"http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper
	namespace="com.xunhong.erp.turbo.infra.infrastructure.mapper.AgreementMapper">
	<resultMap id="BaseResultMap"
			   type="com.xunhong.erp.turbo.infra.infrastructure.entity.AgreementDO">
		<result property="agreementId" column="agreement_id"/>
		<result property="scene" column="scene"
				typeHandler="com.baomidou.mybatisplus.extension.handlers.JacksonTypeHandler"/>
		<result property="title" column="title"/>
		<result property="subTitle" column="sub_title"/>
		<result property="content" column="content"/>
		<result property="createdAt" column="created_at"/>
		<result property="updatedAt" column="updated_at"/>
		<result property="isDelete" column="is_delete"/>
		<result property="version" column="version"/>
	</resultMap>
</mapper>

